Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.builder.dialect.java
Class JavaReturnValueEvaluatorBuilder

    java.lang.Object
      org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
          org.jbpm.process.builder.dialect.java.JavaReturnValueEvaluatorBuilder

All Implemented Interfaces:
  ReturnValueEvaluatorBuilder

    public class JavaReturnValueEvaluatorBuilder

extends AbstractJavaProcessBuilder
implements ReturnValueEvaluatorBuilder

Field Summary

Fields inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
`INVOKER_REGISTRY, RULE_REGISTRY`

Constructor Summary
`JavaReturnValueEvaluatorBuilder()`

Method Summary
`void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, ReturnValueConstraintEvaluator constraintNode, org.drools.compiler.compiler.ReturnValueDescr descr, ContextResolver contextResolver)`

Methods inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
`createVariableContext, createVariableContext, generatTemplates, getInvokerTemplateRegistry, getRuleTemplateRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaReturnValueEvaluatorBuilder

    public JavaReturnValueEvaluatorBuilder()

Method Detail

### build

    public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                      ReturnValueConstraintEvaluator constraintNode,
                      org.drools.compiler.compiler.ReturnValueDescr descr,
                      ContextResolver contextResolver)

  Specified by:
    `build` in interface `ReturnValueEvaluatorBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.